Examplary
  • Start for free
    Developer docs

    Create session

    POSThttps://api.examplary.ai/exams/{id}/sessions

    Manually create a session, possibly from uploaded data. Accepts a single session or an array of up to 100 sessions, and returns an array of created sessions.

    Path parameters

    idstringrequired

    Request body

    studentNamestringrequired

    The name of the student that completed the assessment

    sourcestring· default: manual

    Indicator of how the assessment was conducted

    Allowed values:online-assessmentdocument-scanneranswer-botmanual

    externalIdstring· max length: 255

    ID of the session in an external system

    metadataobject

    Metadata for the session, used by external systems

    answersarray object[]
    autoGradeboolean· default: false

    Whether to start AI auto-grading for answers that can't be graded automatically against a correct answer. These answers get the 'auto-grading-pending' grading status until grading completes, then 'auto-graded', or 'auto-grading-failed' if grading errored.

    Responses

    400 — Validation Error

    successbooleanrequired

    Allowed values:false

    errorarray any[]required
    dataanyrequired

    Requirements

    User roles

    This endpoint requires the teacher, admin, or owner role to be present.

    OAuth scopes

    This endpoint requires the exams:write scope to be present.